using System;

internal sealed class Delegate774 : MulticastDelegate
{
	public extern DateTime Invoke(ref DateTime dateTime_0, double double_0);

	public static DateTime smethod_0(ref DateTime dateTime_0, double double_0, Delegate774 delegate774_1)
	{
		return delegate774_1(ref dateTime_0, double_0);
	}

	public extern Delegate774(object object_0, IntPtr intptr_0);

	static Delegate774()
	{
		Class10.smethod_13(typeof(Delegate774).TypeHandle);
	}

	internal static Delegate774 delegate774_0;
}
